LanguageCallback (Java Platform SE 8 )
Keywords: javax.security.auth.callback.LanguageCallback class
Date: 2026-04-17

compact1, compact2, compact3
javax.security.auth.callback

## Class LanguageCallback

- java.lang.Object
- - javax.security.auth.callback.LanguageCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class LanguageCallback
      extends Object
      implements Callback, Serializable

  Underlying security services instantiate and pass a `LanguageCallback` to the `handle` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.

  See Also:
    `CallbackHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageCallback()` Construct a `LanguageCallback`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `getLocale()` Get the retrieved `Locale`.
    `void` | `setLocale(Locale locale)` Set the retrieved `Locale`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageCallback

          public LanguageCallback()

      Construct a `LanguageCallback`.

  - ### Method Detail

    - #### setLocale

          public void setLocale(Locale locale)

      Set the retrieved `Locale`.

      Parameters:
        `locale` - the retrieved `Locale`.
      See Also:
        `getLocale()`

    - #### getLocale

          public Locale getLocale()

      Get the retrieved `Locale`.

      Returns:
        the retrieved `Locale`, or null if no `Locale` could be retrieved.
      See Also:
        `setLocale(java.util.Locale)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.